from aiohttp import web


class ImagesController:

    @staticmethod
    def add_routes(app):
        app.add_routes([
            web.get('/images', ImagesController.list),
            web.post('/images/upload', ImagesController.upload),
            web.get('/images/{image}', ImagesController.show),
            web.delete('/images/{image}/delete', ImagesController.delete)
        ])

    @staticmethod
    async def upload(request):
        return web.Response(text='Upload')

    @staticmethod
    async def list(request):
        return web.Response(text='List')

    @staticmethod
    async def show(request):
        return web.Response(text='Show')

    @staticmethod
    async def delete(request):
        return web.Response(text='Delete')
